### A free/open-source library for quantitative finance

Classes
ql/models/shortrate/onefactormodel.hpp File Reference

Abstract one-factor interest rate model class. More...

`#include <ql/models/model.hpp>`
`#include <ql/methods/lattices/lattice1d.hpp>`
`#include <ql/methods/lattices/trinomialtree.hpp>`
Include dependency graph for onefactormodel.hpp:

## Classes

class | OneFactorModel
| Single-factor short-rate model abstract class. More...
class | OneFactorModel::ShortRateDynamics
| Base class describing the short-rate dynamics. More...
class | OneFactorModel::ShortRateTree
| Recombining trinomial tree discretizing the state variable. More...
class | OneFactorAffineModel
| Single-factor affine base class. More...

## Detailed Description

Abstract one-factor interest rate model class.